package com.persagy.proxy.dictionary.service;

import com.persagy.proxy.adm.service.IAdmBaseService;
import com.persagy.proxy.common.entity.InstanceUrlParam;
import com.persagy.proxy.dictionary.model.AdmModelRel;

/**
 * @ClassName IAdmModelRelService
 * @Description: 模型修改设备元空间的建筑楼层信息
 * @Author linhuili
 * @Date 2021/8/31 14:30
 * @Version V1.0
 **/
public interface IAdmModelRelService extends IAdmBaseService<AdmModelRel> {

    /**
     * 修改
     * @param context
     * @param clazz
     * @param vo
     * @return
     */
    void doUpdateModelInfo(InstanceUrlParam context, Class<AdmModelRel> clazz, AdmModelRel vo);
}
